OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
TransferBRep

# TransferBRep_ShapeBinder Class Reference

A ShapeBinder is a BinderOfShape with some additional services
to cast the Result under various kinds of Shapes
.

`#include <TransferBRep_ShapeBinder.hxx>`

Inheritance diagram for TransferBRep_ShapeBinder:

[legend]

## Public Member Functions
Standard_EXPORT | TransferBRep_ShapeBinder ()
| Creates an empty ShapeBinder .
Standard_EXPORT | TransferBRep_ShapeBinder (const TopoDS_Shape &res)
| Creates a ShapeBinder with a result .
Standard_EXPORT TopAbs_ShapeEnum | ShapeType () const
| Returns the Type of the Shape Result (under TopAbs form) .
Standard_EXPORT TopoDS_Vertex | Vertex () const
Standard_EXPORT TopoDS_Edge | Edge () const
Standard_EXPORT TopoDS_Wire | Wire () const
Standard_EXPORT TopoDS_Face | Face () const
Standard_EXPORT TopoDS_Shell | Shell () const
Standard_EXPORT TopoDS_Solid | Solid () const
Standard_EXPORT TopoDS_CompSolid | CompSolid () const
Standard_EXPORT TopoDS_Compound | Compound () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT TransferBRep_ShapeBinder::TransferBRep_ShapeBinder | ( |  | ) |

Standard_EXPORT TransferBRep_ShapeBinder::TransferBRep_ShapeBinder | ( | const TopoDS_Shape & | res | ) |

## Member Function Documentation

Standard_EXPORT TopoDS_Compound TransferBRep_ShapeBinder::Compound | ( |  | ) | const

Standard_EXPORT TopoDS_CompSolid TransferBRep_ShapeBinder::CompSolid | ( |  | ) | const

Standard_EXPORT TopoDS_Edge TransferBRep_ShapeBinder::Edge | ( |  | ) | const

Standard_EXPORT TopoDS_Face TransferBRep_ShapeBinder::Face | ( |  | ) | const

Standard_EXPORT const TransferBRep_ShapeBinder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TransferBRep_BinderOfShape.

Standard_EXPORT TopAbs_ShapeEnum TransferBRep_ShapeBinder::ShapeType | ( |  | ) | const

Standard_EXPORT TopoDS_Shell TransferBRep_ShapeBinder::Shell | ( |  | ) | const

Standard_EXPORT TopoDS_Solid TransferBRep_ShapeBinder::Solid | ( |  | ) | const

Standard_EXPORT TopoDS_Vertex TransferBRep_ShapeBinder::Vertex | ( |  | ) | const

Standard_EXPORT TopoDS_Wire TransferBRep_ShapeBinder::Wire | ( |  | ) | const

The documentation for this class was generated from the following file:

- TransferBRep_ShapeBinder.hxx